Instruções de configuração

Mantenha tudo organizado com as coleções Salve e categorize o conteúdo com base nas suas preferências.

É possível fazer o download da biblioteca de cliente do Google OAuth para Java e as dependências dela em um arquivo ZIP, ou usar o Maven.

Veja também as instruções de configuração do ProGuard que fazem parte da documentação da biblioteca de cliente HTTP do Google para Java.

Fazer o download da biblioteca com dependências

Faça o download do arquivo ZIP mais recente, que você pode encontrar na página de downloads, e extraia-o no computador. Esse arquivo ZIP contém os arquivos jar da classe da biblioteca de cliente e os arquivos jar de origem associados a cada artefato e as dependências correspondentes. Veja pastas e gráficos de dependências das diferentes bibliotecas na pasta de dependências. Para mais detalhes sobre o conteúdo do download, consulte o arquivo readme.html.

Android

Se você estiver desenvolvendo para Android e a API do Google que você quer usar estiver incluída na biblioteca do Google Play Services, use a biblioteca do Google Play Services para ter o melhor desempenho e experiência.

Se você estiver usando a biblioteca de cliente OAuth do Google para Java com Android, é importante saber quais dependências são compatíveis com o Android, especificamente qual nível do SDK do Android. Os aplicativos Android exigem os seguintes arquivos jar ou versões mais recentes compatíveis da pasta libs:

  • google-oauth-client-1.30.4.jar
  • google-http-client-1.32.1.jar
  • google-http-client-android-1.32.1jar
  • gson-2.8.5.jar
  • jackson-core-2.9.5.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.6.1.jar

Google App Engine

Os aplicativos do Google App Engine exigem os seguintes arquivos jar ou versões mais recentes compatíveis da pasta libs:

  • google-oauth-client-1.30.4.jar
  • google-oauth-client-appengine-1.30.4.jar
  • google-oauth-client-hyperparameter-1.30.4.jar
  • google-http-client-1.32.1.jar
  • google-http-client-appengine-1.32.1.jar
  • gson-2.8.5.jar
  • jackson-core-2.9.5.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.6.1.jar
  • transação-api-1.1.jar
  • xpp3-1.1.4c.jar

Servlet

Os aplicativos de servlet exigem os seguintes arquivos jar ou versões mais recentes compatíveis da pasta libs:

  • google-oauth-client-1.30.4.jar
  • google-oauth-client-hyperparameter-1.32.1.jar
  • google-http-client-1.32.1.jar
  • Commons-logging-1.2.0.jar
  • gson-2.8.5.jar
  • jackson-core-2.9.5.jar
  • httpclient-4.5.9.jar
  • httpcore-4.4.11.jar
  • jackson-core-2.1.3.jar
  • jdo2-api-2.3-eb.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.6.1.jar
  • transação-api-1.1.jar
  • xpp3-1.1.4c.jar

Java genérico

Os aplicativos Java de uso geral exigem os seguintes arquivos jar ou versões mais recentes compatíveis da pasta libs:

  • google-oauth-client-1.30.4.jar
  • google-http-client-1.32.1.jar
  • Commons-logging-1.2.0.jar
  • gson-2.8.5.jar
  • jackson-core-2.9.5.jar
  • httpclient-4.5.9.jar
  • httpcore-4.4.11.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.6.1.jar
  • xpp3-1.1.4c.jar

Maven

A biblioteca de cliente do Google OAuth para Java está no repositório central do Maven. O groupId do Maven para todos os artefatos desta biblioteca é com.google.oauth-client. Veja instruções específicas do Maven para cada módulo (abaixo).

Módulos

Essa biblioteca é composta de cinco módulos:

google-oauth-client

A biblioteca de cliente do Google OAuth para Java (google-oauth-client) foi projetada para ser compatível com todas as plataformas Java compatíveis, incluindo o Android.

Uso do Maven:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client</artifactId>
  <version>1.30.4</version>
</dependency>

No Android, é necessário excluir explicitamente as dependências não utilizadas:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client</artifactId>
  <version>1.30.4</version>
  <exclusions>
    <exclusion>
      <artifactId>xpp3</artifactId>
      <groupId>xpp3</groupId>
    </exclusion>
    <exclusion>
      <artifactId>httpclient</artifactId>
      <groupId>org.apache.httpcomponents</groupId>
    </exclusion>
    <exclusion>
      <artifactId>junit</artifactId>
      <groupId>junit</groupId>
    </exclusion>
    <exclusion>
      <artifactId>android</artifactId>
      <groupId>com.google.android</groupId>
    </exclusion>
  </exclusions>
</dependency>

google-oauth-client-servlet

As extensões de servlet e gRPC na biblioteca de cliente do OAuth do Google para Java (google-oauth-client- servlet) são compatíveis com aplicativos da Web do servlet do Java. Este módulo depende de google-oauth-client.

Uso do Maven:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client-servlet</artifactId>
  <version>1.30.4</version>
</dependency>

google-oauth-client-appengine

As extensões do Google App Engine para a biblioteca de cliente OAuth do Google para Java (google-oauth-client-appengine) são compatíveis com os aplicativos Java do Google App Engine. Este módulo depende de google-oauth-client e google-oauth-client- servlet.

Uso do Maven:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client-appengine</artifactId>
  <version>1.30.4</version>
</dependency>

google-oauth-client-java6

As extensões Java 6 (e superiores) à biblioteca de cliente OAuth do Google para Java (google-oauth-client-java6) são compatíveis com aplicativos Java6+. Este módulo depende de google-oauth-client.

Uso do Maven:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client-java6</artifactId>
  <version>1.30.4</version>
</dependency>

google-oauth-client-jetty

As extensões JAWS à biblioteca de cliente OAuth do Google para Java (google-oauth-client-jetty) são compatíveis com o fluxo do código de autorização para aplicativos instalados. Este módulo depende de google-oauth-client-java6.

Uso do Maven:

<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client-jetty</artifactId>
  <version>1.30.4</version>
</dependency>